<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.AppLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.AppLog">
        <result column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="user_id" property="userId" />
        <result column="username" property="username" />
        <result column="ip" property="ip" />
        <result column="operation" property="operation" />
        <result column="method" property="method" />
        <result column="request_param" property="requestParam" />
        <result column="execute_time" property="executeTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id, user_id, username, ip, operation, method, request_param, execute_time
    </sql>

</mapper>
